<template>
	<Checklist title="To Do" bgColor="bg-indigo-100" :checklist="checklist" @del="del" @done="done" />
</template>

<script>
import { computed } from '@vue/runtime-core';
import { useStore } from "vuex";
import Checklist from "../../components/Checklist.vue";
import { CHECKLING_CHECKLIST, DELETING_CHECKLIST } from '../../store/actions';

export default {
	name: "ToDo",
	components: {
		Checklist,
	},
	setup() {
		const store = useStore();

		const checklist = computed(() => store.getters.notDoneChecklist);

        const del = (id) => {
            store.dispatch({
				type: DELETING_CHECKLIST,
				payload: id
			})
        }

        const done = (id) => {
            store.dispatch({
				type: CHECKLING_CHECKLIST,
				payload: id
			})
        }


		return {
			checklist,
			del,
            done
		};
	},
};
</script>

<style>
</style>